* {
  box-sizing: border-box;
}

body {
  margin: 0;
  padding: 0;

  font-family: "Poppins", sans-serif;
  background-color: #0e0e0e;
  color: #fff;
}

.product {
  font-size: 64px;
}
.spancolor {
  color: #33aaf0;
}
/* .scroll {
  background: transparent;
  border: 1px solid #0b0f19;
  color: white;
  padding: 12px 25px;
  border-radius: 30px;
  transition: 0.3s;
} */
.scroll {
  background: none;
  color: #a8a8a8;
  border: none;
  margin-top: 80px !important;
  font-size: 16px;
  padding-top: 40px !important;
}
.unified {
  margin-top: 8rem;
  margin-bottom: 6rem;
}
.font-color {
  color: #cccccc;
  font-size: 20px;
}
.demo-btn {
  position: relative;
  background: transparent;
  border: 1px solid #b8babc;
  padding: 18px 40px;
  border-radius: 35px;
  color: white;
  font-size: 18px;
  transition: 0.3s ease;
  overflow: hidden;
  z-index: 1;
}

.demo-btn::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 0%;
  height: 100%;
  background: rgb(22, 174, 239);
  z-index: -1;
  transition: 0.9s ease;
  border-radius: 30px;
}
/* Hover effect */
.demo-btn:hover::before {
  width: 100%;
}

/* Text color change */
.demo-btn:hover {
  color: #000;
}
/* .demo-btn {
  background: transparent;
  border: 1px solid #b8babc;
  padding: 18px 40px;
  border-radius: 35px;
  color: white;
  font-size: 20px;
} */
/* challenges sec */
.challenge-section {
  color: white;
  margin-bottom: 5rem;
}

.challenge-img1 {
  margin-top: 3rem;
  border-radius: 38px;
  width: 98% !important;
}

.challenge-label {
  color: #3da2ff;
  letter-spacing: 3px;
  font-size: 18px;
  margin-bottom: 20px;
}

.challenge-list {
  list-style: disc;
  padding-left: 20px;
  color: #cccccc !important;
}

.challenge-list li {
  font-size: 40px;
  font-weight: 300;
  line-height: 1.5;
  color: #bbbdbe;
  margin: 20px;
}
/* challenges sec */

/* solutions sec */
.solution-section {
  color: white;
  margin-bottom: 5rem;
  margin-top: -5rem;
}

.solution-label {
  color: #3da2ff;
  letter-spacing: 3px;
  font-size: 18px;
  margin-bottom: 25px;
  margin-left: 4rem;
}

.solution-list {
  list-style: disc;
  padding-left: 20px;
}

.solution-list li {
  font-size: 40px;
  font-weight: 300;
  line-height: 1.5;
  color: #bbbdbe;
  margin-left: 7rem;
}

.solution-img {
  border-radius: 30px;
  width: 55%;
}
/* solutions sec */
/* Technology sec */
.technology-img {
  border-radius: 25px;
  width: 90%;
  height: 90vh;
}
.technology-list li {
  font-size: 40px;
  font-weight: 300;
  line-height: 1.5;
  color: #bbbdbe;
  margin-left: 1px;
}

/* Technology sec */

.implementation-section {
  color: white;
}

.section-label {
  color: #3da2ff;
  letter-spacing: 3px;
  font-size: 18px;
  margin-bottom: 25px;
  margin-left: 3rem;
}

.implementation-list {
  padding-left: 20px;
  margin-left: 3rem;
}

.implementation-list li {
  font-size: 40px;
  line-height: 1.5;
  margin-bottom: 18px;
  color: #bbbdbe;
  margin-left: 50px;
}
.blog-img {
  border-radius: 20px;
  height: 400px;
  width: 400px;
  object-fit: cover;
}

.blog-title {
  font-size: 34px;
  font-weight: 300;
  line-height: 1.1;
}
.blog-title1 {
  font-size: 34px;
  font-weight: 300;
  line-height: 1.1;
}

.blog-desc {
  color: #9b9b9b;
  font-size: 20px;
  margin-top: 40px;
  /* max-width: 520px; */
}

.blog-meta {
  color: #ffffff;
}
.date {
  font-size: 20px;
}
.tag {
  position: relative;
  border: 1px solid #555;
  padding: 5px 18px;
  border-radius: 20px;
  font-size: 20px;
  transition: 0.3s ease;
  overflow: hidden;
  z-index: 1;
}
.tag::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 0%;
  height: 100%;
  background: rgb(22, 174, 239);
  z-index: -1;
  transition: 0.9s ease;
  border-radius: 30px;
}
/* Hover effect */
.tag:hover::before {
  width: 100%;
}

/* Text color change */
.tag:hover {
  color: #000;
}

/* .tag {
  border: 1px solid #555;
  padding: 5px 18px;
  border-radius: 20px;
  font-size: 20px;
} */

.read-more {
  text-decoration: none;
  color: #ffffff;
  font-size: 20px;
}

.read-more:hover {
  color: white;
}

.Accelerate {
  font-family: "Montserrat", sans-serif;
  font-weight: 100;
  letter-spacing: 1px;
  margin-top: 40px;
  color: rgb(191, 188, 182);
}
hr {
  border: none;
  border-top: 1px solid rgb(190, 187, 187);
  margin: 20px 0;
}
/* case-btn start */
.case-btn {
  position: relative;
  display: inline-block;
  padding: 15px 30px;
  font-family: "Montserrat", sans-serif;
  font-size: 20px;
  color: #bfbcb6;
  border: 1px solid #6c757d;
  background: transparent;
  text-decoration: none;
  border-radius: 30px;
  transition: 0.3s;
  overflow: hidden;
  z-index: 1;
  margin-bottom: 9rem;
  text-decoration: none;
}

.case-btn::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 0%;
  height: 100%;
  background: rgb(22, 174, 239);
  z-index: -1;
  transition: 0.9s ease;
  border-radius: 30px;
}
/* Hover effect */
.case-btn:hover::before {
  width: 100%;
}

/* Text color change */
.case-btn:hover {
  color: #000;
}
.form-control {
  background: transparent;
  border: 2px solid #898787;
  color: #fff;
  border-radius: 10px;
}
#hide-mobile {
  display: block;
}
#hide-desk {
  display: none;
}
/* case-btn end */
/* ===================== TABLET ===================== */
@media (max-width: 992px) {
  .product {
    font-size: 70px;
  }

  .challenge-list li,
  .solution-list li,
  .technology-list li {
    font-size: 26px;
  }

  .implementation-list li {
    font-size: 30px;
  }

  .blog-title {
    font-size: 42px;
  }

  .solution-img {
    width: 75%;
  }

  .technology-img {
    height: auto;
    width: 100%;
  }
}

/* ===================== MOBILE ===================== */
@media (max-width: 768px) {
  #hide-mobile {
    display: none;
  }
  #hide-desk {
    display: block;
    border-radius: 16px;
  }
  #flex {
    display: flex;
    flex-wrap: nowrap;
    max-width: 55% !important;
  }
  #mt {
    margin-top: 0px !important;
  }
  #titles {
    padding: 0%;
    margin-top: 28px;
  }
  .product {
    font-size: 50px;
    /* text-align: center; */
  }

  .scroll-btn {
    padding: 10px 20px;
    font-size: 16px;
  }

  .demo-btn {
    padding: 10px 13px;
    font-size: 10px;
  }
  .challenge-img,
  .technology-img,
  .solution-img,
  .implementation2-img {
    width: 300px;
    height: 150px !important;
  }

  .challenge-list li,
  .solution-list li,
  .technology-list li {
    font-size: 20px;
    margin-left: 0;
  }

  .implementation-list li {
    font-size: 22px;
    margin-left: 0;
  }

  .blog-title {
    font-size: 34px;
  }

  .blog-desc {
    font-size: 7px;
    margin-top: 2px;
  }

  .date,
  .tag,
  .read-more {
    font-size: 16px;
  }

  .blog-meta {
    display: flex;
    align-items: center;
    flex-wrap: wrap; /* line break allow karega */
    gap: 8px;
  }

  .date {
    font-size: 14px;
  }

  .tag {
    font-size: 14px;
    padding: 4px 12px;
  }

  .read-more {
    font-size: 14px;
    margin-left: 0; /* ❌ desktop wala right push hata diya */
  }
  .blog-title1 {
    font-size: 10px;
    font-weight: 300;
    line-height: 1.1;
  }
  .mobile-hide {
    display: none;
  }
  .font-color {
    color: #cccccc;
    font-size: 10px;
    margin-top: -2rem !important;
    width: 64%;
  }
  .unified {
    margin-top: 8rem;
    margin-bottom: -3rem;
  }
  .challenge-list {
    list-style: disc;
    padding-left: 20px;
    color: #cccccc !important;
    margin-bottom: -10rem;
    font-size: 10px;
    line-height: 1.4;
  }
  .solution-list {
    list-style: disc;
    padding-left: 20px;
    margin-bottom: -10rem;
  }
  .mobile-br {
    display: none;
  }
  .implementation-section {
    color: white;
    margin-top: -9rem;
    margin-bottom: -5rem;
  }
  .challenge-section {
    color: white;
    margin-bottom: 4rem;
    margin-top: -1rem;
  }
  .text-info {
    font-size: 10px;
    margin-top: 0rem;
  }
  .Accelerate {
    font-size: 12px;
  }
  .blog-img {
    border-radius: 20px;
    height: 131px;
    width: 131px;
    object-fit: cover;
  }
  .read-more {
    font-size: 12px;
    margin-left: 0; /* ❌ desktop wala right push hata diya */
    /* margin-top: 1rem; */
  }
  .lets {
    font-size: 32px;
    width: 100%;
    margin-right: 32px;
    margin-left: 16px;
  }
  .future {
    font-size: 24px;
    text-align: start;
    width: 100%;
    margin-left: 1rem;
    color: #32a8ef;
    margin-bottom: 0rem;
  }
  .mobile-form .form-control {
    margin-top: 2rem;
    border-radius: 25px;
    padding: 10px 10px;
    text-align: center;
    color: #fff !important;
    width: 65%;
    margin-left: 2.4rem;
  }
  .mobile-form .form-control::placeholder {
    color: #fff !important;
    opacity: 1; /* important for full white */
  }
  .submit-btn {
    border: 1px solid #898787;
    position: relative;
    border-radius: 30px;
    color: #fff;
    font-weight: 600;
    transition: 0.3s ease;
    overflow: hidden;
    z-index: 1;
    padding: 14px 7px;
    margin-right: 9rem;
    margin-bottom: 10rem;
  }

  .submit-btn::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 0%;
    height: 100%;
    background: rgb(22, 174, 239);
    z-index: -1;
    transition: 0.9s ease;
    border-radius: 30px;
  }
  /* Hover effect */
  .submit-btn:hover::before {
    width: 100%;
  }

  /* Text color change */
  .submit-btn:hover {
    color: #000;
  }
  .mobile-hr {
    display: none;
  }
  .manual {
    margin-top: 0px !important;
    margin-bottom: 0px !important;
  }
}
/* ===================== SMALL MOBILE ===================== */
@media (max-width: 480px) {
  .product {
    font-size: 16px;
    margin-top: -3rem;
  }

  .blog-title {
    font-size: 10px;
  }

  .challenge-label {
    font-size: 10px;
    margin-bottom: -1rem;
  }
  .section-label {
    font-size: 10px;
    margin-left: 1rem;
    margin-top: 2rem;
  }
  .solution-label {
    font-size: 10px;
    margin-left: 0rem;
    margin-top: 2rem;
  }

  .challenge-list li,
  .solution-list li,
  .technology-list li {
    font-size: 10px !important;
    margin: 10px 0;
  }

  .implementation-list li {
    font-size: 10px;
    margin-left: -3rem !important;
  }

  .case-btn {
    padding: 14px 32px;
    font-size: 7px;
    color: #ffffff;
    background: transparent;
    border: 2px solid #555;
    border-radius: 40px;
    cursor: pointer;
    transition: all 0.3s ease;
    margin-left: 13rem;
    margin-top: 0rem;
    margin-bottom: 3rem;
  }
}
